Read Firewall Actions Summary by Project
GET
/__remote/api.vercel.com/v1/security/firewall/events/summaryAggregate counts over the firewall actions matched by the same filters as
GET /v1/security/firewall/events, without fetching any rows. Counts are of policies (mitigations), including ones that matched no requests.Request
import { Edgenivo } from "@vercel/sdk";
const vercel = new Edgenivo({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.security.getSecurityFirewallEventsSummary({ projectId: "<id>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "blockingIps": "123", "byAction": "value", "byActionType": "value", "challengingIps": "123", "other": "123", "total": "123"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
408Error
410Error
500Error